#### D.6.13.17 spissemicont

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  spissemicont(sp[,1]); list sp, int opt

Return:

      int k=
        1;  if sum of sp is positive on all intervals [a,a+1) [and (a,a+1)]
        0;  if sum of sp is negative on some interval [a,a+1) [or (a,a+1)]

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    list sp1=list(ideal(-1/2,-3/10,-1/10,0,1/10,3/10,1/2),intvec(1,2,2,1,2,2,1));
    spprint(sp1);
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)
    list sp2=list(ideal(-1/6,1/6),intvec(1,1));
    spprint(sp2);
    ==> (-1/6,1),(1/6,1)
    spissemicont(spsub(sp1,spmul(sp2,3)));
    ==> 1
    spissemicont(spsub(sp1,spmul(sp2,4)));
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.